@echo off
echo /************************************************************************/
echo /* This script runs the CreateSubscriber application, which creates a   */
echo /* new subscriber record.                                               */
echo /*                                                                      */
echo /* Its usage is as follows:                                             */
echo /*    CreateSubscriber [-ems ^<ems^>] -dn ^<dn^>                            */
echo /*    -metaswitch ^<MetaSwitch name^>                                     */
echo /*    [-businessgroup ^<Business Group name^>]                            */
echo /*    [-subscribergroup ^<Subscriber Group^>]                             */
echo /*    [-profile ^<Persistent Profile^>] [-username ^<SIP user name^>]       */
echo /*    -domain ^<SIP domain name^> [-password ^<SIP password^>]              */
echo /*                                                                      */
echo /* where the parameters are as follows:                                 */
echo /* -ems: the hostname or IP address of the EMS Server                   */
echo /* -dn:  the new subscriber's directory number                          */
echo /* -metaswitch:                                                         */
echo /*       the name of the MetaSwitch on which to create the subscriber   */
echo /* -businessgroup:                                                      */
echo /*       the name of the Business Group in which to create the          */
echo /*       subscriber.  If omitted, the new subscriber will be an         */
echo /*       Individual Line                                                */
echo /* -subscribergroup:                                                    */
echo /*       the new subscriber's Subscriber Group.  This is required if    */
echo /*       creating an Individual Line, but can be omitted if creating a  */
echo /*       Business Group line, in which case the default value will be   */
echo /*       used.                                                          */
echo /* -profile:                                                            */
echo /*       the Persistent Profile that the new subscriber should use      */
echo /* -username:                                                           */
echo /*       the SIP user name.  If omitted, the subscriber will use its DN */
echo /*       for identification                                             */
echo /* -domain:                                                             */
echo /*       the SIP domain name                                            */
echo /* -password:                                                           */
echo /*       the SIP password.  If omitted, the subscriber will not use SIP */
echo /*       authentication.                                                */
echo /*                                                                      */
echo /* For details of the script, see the comments in the source code.      */
echo /************************************************************************/
set AXIS_JARS=axis\activation.jar;axis\axis-ant.jar;axis\axis-schema.jar;axis\axis.jar;axis\commons-discovery-0.2.jar;axis\commons-logging-1.0.4.jar;axis\jaxrpc.jar;axis\log4j-1.2.8.jar;axis\mailapi.jar;axis\saaj.jar;axis\wsdl4j-1.5.1.jar

java -classpath %AXIS_JARS%;classes\typed;classes CreateSubscriber %*