@echo off
REM **************************************************************************/
REM This batch file is used to build the SOAP example applications that      */
REM demonstrate the Sh interface.                                            */
REM                                                                          */
REM It assumes that you have Sun's JDK installed (1.5), and have javac (the  */
REM Java compiler) and java (the Java interpreter) in your PATH.  You should */
REM also have both WSDL files (ShService.wsdl and ShServiceTyped.wsdl)       */
REM located two directories above here.                                      */
REM **************************************************************************/

set AXIS_JARS=axis\activation.jar;axis\axis-ant.jar;axis\axis-schema.jar;axis\axis.jar;axis\commons-discovery-0.2.jar;axis\commons-logging-1.0.4.jar;axis\jaxrpc.jar;axis\log4j-1.2.8.jar;axis\mailapi.jar;axis\saaj.jar;axis\wsdl4j-1.5.1.jar

REM **************************************************************************/
REM Use Apache Axis' WSDL2Java tool to create stub code for accessing the    */
REM SOAP service.                                                            */
REM                                                                          */
REM Stub code for the "untyped" style will be written to the                 */
REM "soapstub\untyped" directory.  Code for the "typed" style will be        */
REM written to "soapstub\typed".                                             */
REM **************************************************************************/

java -classpath %AXIS_JARS% org.apache.axis.wsdl.WSDL2Java ..\..\ShService.wsdl -o soapstub\untyped --NStoPkg http://www.metaswitch.com/ems/soap/sh=com.MetaSwitch.EMS.SOAP
java -classpath %AXIS_JARS% org.apache.axis.wsdl.WSDL2Java ..\..\ShServiceTyped.wsdl -o soapstub\typed --NStoPkg http://www.metaswitch.com/ems/soap/sh=com.MetaSwitch.EMS.SOAP --NStoPkg http://www.metaswitch.com/ems/soap/sh/userdata=com.MetaSwitch.EMS.SOAP --NStoPkg http://www.metaswitch.com/ems/soap/sh/servicedata=com.MetaSwitch.EMS.SOAP

REM **************************************************************************/
REM Create binary directories and compile the stub code.                     */
REM                                                                          */
REM Class files will be written to the "classes" directory.                  */
REM **************************************************************************/

mkdir classes 2>NUL
mkdir classes\untyped 2>NUL
mkdir classes\typed 2>NUL

javac -classpath %AXIS_JARS%;classes\untyped -sourcepath soapstub\untyped -d classes\untyped soapstub\untyped\com\metaswitch\ems\soap\*.java 2>NUL
javac -classpath %AXIS_JARS%;classes\typed -sourcepath soapstub\typed -d classes\typed soapstub\typed\com\metaswitch\ems\soap\*.java 2>NUL

REM **************************************************************************/
REM Compile the example applications.                                        */
REM                                                                          */
REM Class files will be written to the "classes" directory.                  */
REM **************************************************************************/

javac -classpath %AXIS_JARS%;classes\untyped;classes -d classes source\ShUtilities.java
javac -classpath %AXIS_JARS%;classes\untyped;classes -d classes source\untyped\ShUntypedUtilities.java 2>NUL
javac -classpath %AXIS_JARS%;classes\untyped;classes -d classes source\untyped\SimplePull.java
javac -classpath %AXIS_JARS%;classes\untyped;classes -d classes source\untyped\UpdateSubscription.java
javac -classpath %AXIS_JARS%;classes\untyped;classes -d classes source\untyped\DeleteSubscriber.java
javac -classpath %AXIS_JARS%;classes\typed;classes -d classes source\typed\ShTypedUtilities.java
javac -classpath %AXIS_JARS%;classes\typed;classes -d classes source\typed\UpdatePIN.java
javac -classpath %AXIS_JARS%;classes\typed;classes -d classes source\typed\CreateSubscriber.java
javac -classpath %AXIS_JARS%;classes\typed;classes -d classes source\typed\AddMandatoryAccountCode.java

echo Build completed.
